-- DEATH KNIGHT MENU PAGE TAB TWO
function GoH_Deathknight_MenuButton_Page_Two_OnClick()
		-- GO TO PAGE TWO
		GoH_DEATHKNIGHT_PAGE_TAB_TWO_BUTTON_ICON:Disable();
		GoH_DeathKnight_Frame:Hide();

		GoH_DEATHKNIGHT_PAGE_TAB_ONE_BUTTON_ICON:Enable();
		GoH_DeathKnight_Frame_Page2:Show();

		GoHv5_DeathKnight_Data.config.Page_Tab = "TWO";
    	
end

-- DEATH KNIGHT MENU PAGE TAB ONE
function GoH_Deathknight_MenuButton_Page_One_OnClick()
		-- GO TO PAGE ONE
		GoH_DEATHKNIGHT_PAGE_TAB_ONE_BUTTON_ICON:Disable();
		GoH_DeathKnight_Frame_Page2:Hide();

		GoH_DEATHKNIGHT_PAGE_TAB_TWO_BUTTON_ICON:Enable();
		GoH_DeathKnight_Frame:Show();

		GoHv5_DeathKnight_Data.config.Page_Tab = "ONE";
    	
end




-- DEATH KNIGHT PLAY LOGIN SOUND
function GoH_Deathknight_MenuButton_PlayLoginSound_OnClick()
	    if GoHv5_DeathKnight_Data.config.Stupid_Login_Sound == "NO" then
	    	GoHv5_DeathKnight_Data.config.Stupid_Login_Sound = "YES"
	    	-- PLAY YOUR SOUND
						-- REMEMBER WHO OWNS YOUR SOUL DEATHKNIGHT
						if (GoH_DeathKnight.Gender == "Female") then
							PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Remember_Who_Owns_Your_Soul_DeathKnight_Female.mp3","Master");
						else
							PlaySoundFile("Sound\\Creature\\LichKing\\EH_LichKing_Irritated1.ogg","Master");
						end
	    else
	    	GoHv5_DeathKnight_Data.config.Stupid_Login_Sound = "NO"
 		   	
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end


















-- ###################################################################################################
-- ###################################################################################################
-- THIS NEXT FUNCTION IS WHERE ALL YOUR SPELL IMAGES AND TEXT ARE CALLED, SET AND REFRESHED.
-- PUT ALL OF YOUR DEATH KNIGHT SPELLS WITHIN SO YOU JUST NEED TO CALL ONE FUNCTION TO REFRESH ALL.
-- BASICALLY EVERY SPELL YOU ADD ABOVE WILL BE WITHIN THE FUNCTION BELOW AND EVERY SPELL ABOVE WILL CALL
-- THE FUNCTION BELOW. EVERY TIME YOU CHECK SOMETHING IN THE DEATH KNIGHT MENU, BELOW WILL REFRESH IT ALL.
-- ###################################################################################################
-- ###################################################################################################
function GoH_DeathKnight_Set_Menu_Button_Images()

        
	
	
	
	
	
	
	
			
	-- ###################################################################################################
	-- ###################################################################################################
	-- PLAY LOGIN SOUND
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_PLAY_LOGIN_SOUND:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEATHKNIGHT_PLAY_LOGIN_SOUND:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEATHKNIGHT_PLAY_LOGIN_SOUND:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Stupid_Login_Sound == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_PLAY_LOGIN_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_Play_Login_Sound_Text:SetText("|cFF00AA00Play 'Login' Sound|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_PLAY_LOGIN_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_Play_Login_Sound_Text:SetText("|cFFFF0000Play 'Login' Sound|r");

	end
	-- ###################################################################################################

	if GoHv5_DeathKnight_Data.config.Use_MK_Font == nil then
		GoHv5_DeathKnight_Data.config.Use_MK_Font = "NO";
	end

	if GoHv5_DeathKnight_Data.config.Use_MK_Font == "YES" then
   		       UIErrorsFrame:SetFont("Interface\\AddOns\\GoH\\Font\\AKIRA__.ttf", 25, "OUTLINE")
	else
   		       -- UIErrorsFrame:SetFont("Fonts\\FRIZQT__.ttf", 16)
	end

end





