-- #######################################
-- #######################################
--       GOH DEATH KNIGHT SOUND FILES
-- #######################################
-- #######################################


-- GUI OPEN BUTTON CLICK
function Play_DeathKnight_GUI_Open()
		if (GoHv5_DeathKnight_Data.config.Menu_OpenClose_Sounds == "YES") and (GoHv5_DeathKnight_Data.config.GoH_MenuOpenedAlready == "NO") then
				if (GoH_DeathKnight.Gender == "Female") then
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\\Sounds\\Behold_The_Tools_Of_Creation_Female.mp3","Master");
				else
					PlaySoundFile("Sound\\Creature\\AlgalonTheObserver\\UR_Algalon_Special02.ogg","Master")
				end
		end		
end

-- GUI CLOSE BUTTON CLICK
function Play_DeathKnight_GUI_Close()
		if (GoHv5_DeathKnight_Data.config.Menu_OpenClose_Sounds == "YES") and (GoHv5_DeathKnight_Data.config.GoH_MenuOpenedAlready == "NO") then
				-- DO YOU FEAR DEATH? HA HA HA HA HA
				if (GoH_DeathKnight.Gender == "Female") then
					PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Do_You_Fear_Death_Hahaha_Female.mp3","Master");
				else
					PlaySoundFile("Sound\\Creature\\AmbassadorHellmaw\\Auch_Helmaw_Slay01.ogg","Master")
				end
		end		
end






function Play_Random_Combat()

    GoH_DeathKnight.NumberRandom = math.random(3);
	
	-- USE RANDOM MATH GENERATED RESULT
	if (GoH_DeathKnight.NumberRandom == 1) then

	
         PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Fight_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
		 
		 
    elseif (GoH_DeathKnight.NumberRandom == 2) then
	
	     PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Fight2_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
		 
	elseif (GoH_DeathKnight.NumberRandom == 3) then
	
	     PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Fight3_" .. GoH_DeathKnight.Gender .. ".mp3","Master");	 

	end

end

function Play_Random_Finish()

	GoH_DeathKnight.NumberRandom = math.random(19);

	-- USE RANDOM MATH GENERATED RESULT
	if (GoH_DeathKnight.NumberRandom == 1) then

		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Fatality_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
		if GoHv5_DeathKnight_Data.config.Fatality_Image == "YES" then
		Show_Fatality_Frame()
		end
	elseif (GoH_DeathKnight.NumberRandom == 2) then
	
	     PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Fatality1_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
         if GoHv5_DeathKnight_Data.config.Fatality_Image == "YES" then
		Show_Fatality_Frame()
		end		 
		 
	elseif (GoH_DeathKnight.NumberRandom == 3) then
	
	     PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Annihilated_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
		 if GoHv5_DeathKnight_Data.config.Fatality_Image == "YES" then
		Show_Annihilated_Frame()
		end

	elseif (GoH_DeathKnight.NumberRandom == 4) then
	
	     PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Babality_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
		 if GoHv5_DeathKnight_Data.config.Fatality_Image == "YES" then
		Show_Babality_Frame()
		end

	elseif (GoH_DeathKnight.NumberRandom == 5) then
	
	     PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Babality2_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
		 if GoHv5_DeathKnight_Data.config.Fatality_Image == "YES" then
		Show_Babality_Frame()
		end

	elseif (GoH_DeathKnight.NumberRandom == 6) then
	
	     PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Excellent_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
		 if GoHv5_DeathKnight_Data.config.Fatality_Image == "YES" then
		Show_Excellent_Frame()
		end

	elseif (GoH_DeathKnight.NumberRandom == 7) then
	
	     PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Excellent2_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
		 if GoHv5_DeathKnight_Data.config.Fatality_Image == "YES" then
		Show_Excellent_Frame()
		end

	elseif (GoH_DeathKnight.NumberRandom == 8) then
	
	     PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Fabulous_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
		 if GoHv5_DeathKnight_Data.config.Fatality_Image == "YES" then
		Show_Fabulous_Frame()
		end

	elseif (GoH_DeathKnight.NumberRandom == 9) then
	
	     PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Flawless_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
		 if GoHv5_DeathKnight_Data.config.Fatality_Image == "YES" then
		Show_FlawlessVictory_Frame()
		end

	elseif (GoH_DeathKnight.NumberRandom == 10) then
	
	     PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Flawless2_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
		 if GoHv5_DeathKnight_Data.config.Fatality_Image == "YES" then
		Show_FlawlessVictory_Frame()
		end

	elseif (GoH_DeathKnight.NumberRandom == 11) then
	
	     PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Flawless3_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
		 if GoHv5_DeathKnight_Data.config.Fatality_Image == "YES" then
		Show_FlawlessVictory_Frame()
		end

	elseif (GoH_DeathKnight.NumberRandom == 12) then
	
	     PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Impressive_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
		 if GoHv5_DeathKnight_Data.config.Fatality_Image == "YES" then
		Show_Impressive_Frame()
		end

	elseif (GoH_DeathKnight.NumberRandom == 13) then
	
	     PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Outstanding_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
		 if GoHv5_DeathKnight_Data.config.Fatality_Image == "YES" then
		Show_Outstanding_Frame()
		end

	elseif (GoH_DeathKnight.NumberRandom == 14) then
	
	     PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Supurb_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
		 if GoHv5_DeathKnight_Data.config.Fatality_Image == "YES" then
		Show_Superb_Frame()
		end

	elseif (GoH_DeathKnight.NumberRandom == 15) then
	
	     PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Well_Done_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
		 if GoHv5_DeathKnight_Data.config.Fatality_Image == "YES" then
		Show_WellDone_Frame()
		end

	elseif (GoH_DeathKnight.NumberRandom == 16) then
	
	     PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\You_Win_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
		 if GoHv5_DeathKnight_Data.config.Fatality_Image == "YES" then
		Show_You_Win_Frame()
		end

	elseif (GoH_DeathKnight.NumberRandom == 17) then
	
	     PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Animality_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
		 if GoHv5_DeathKnight_Data.config.Fatality_Image == "YES" then
		Show_Animality_Frame()
		end

	elseif (GoH_DeathKnight.NumberRandom == 18) then
	
	     PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Brutality_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
		 if GoHv5_DeathKnight_Data.config.Fatality_Image == "YES" then
		Show_Brutality_Frame()
		end

	elseif (GoH_DeathKnight.NumberRandom == 19) then
	
	     PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Wonderfull_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
		 if GoHv5_DeathKnight_Data.config.Fatality_Image == "YES" then
		Show_Wonderful_Frame()
		end


	end

end




-- ONLY INSULTS
function Play_Only_Insults()

	GoH_DeathKnight.NumberRandom = math.random(6);

	-- USE RANDOM MATH GENERATED RESULT
	if (GoH_DeathKnight.NumberRandom == 1) then

		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\You_Weak_Pathetic_Fool_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

	elseif (GoH_DeathKnight.NumberRandom == 2) then

		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\You_Are_Nothing_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

	elseif (GoH_DeathKnight.NumberRandom == 3) then

			PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\You_Suck_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

	elseif (GoH_DeathKnight.NumberRandom == 4) then

		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\That_Was_Pathetic_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

	elseif (GoH_DeathKnight.NumberRandom == 5) then

			PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\You_Suck2_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
			
	elseif (GoH_DeathKnight.NumberRandom == 6) then

			PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\You_Lose_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

            Show_You_Lose_Frame()			

	end

end

-- RANDOM DEATHGRIP SOUND
function Play_Random_DEATHGRIP_Sound()

		-- CALL RANDOM MATH GENERATOR
		-- See the number 4, that means you will need four sound files.
		-- If you want 7, change that number to 7. If you want less, change it to less.
		GoH_DeathKnight.NumberRandom = math.random(6);

		-- USE RANDOM MATH GENERATED RESULT
		if (GoH_DeathKnight.NumberRandom == 1) then
		
		

					if (GoH_DeathKnight.Gender == "Male") then
						GoH_DeathKnight.NumberRandom = math.random(2);
						if (GoH_DeathKnight.NumberRandom == 1) then
							-- play first sound (male) A
							PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Come_Here2_Male.mp3","Master");
							
						elseif (GoH_DeathKnight.NumberRandom == 2) then
							-- play first sound (male) B
							PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Come_Here_Male.mp3","Master");
						
							
						end
					else
						-- play first sound (female)
						PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Come_Here_Female.mp3","Master");
						
					end
					if GoHv5_DeathKnight_Data.config.Emote == "YES" then
					
					SendChatMessage("COME HERE", "EMOTE" );
					
					end
					
					if GoHv5_DeathKnight_Data.config.Say == "YES" then
					
					SendChatMessage("COME HERE", "SAY" );
					
					end
					
					if GoHv5_DeathKnight_Data.config.Yell == "YES" then
					
					SendChatMessage("COME HERE", "YELL" );
					
					end

		elseif (GoH_DeathKnight.NumberRandom == 2) then

					if (GoH_DeathKnight.Gender == "Male") then
						GoH_DeathKnight.NumberRandom = math.random(2);
						if (GoH_DeathKnight.NumberRandom == 1) then
							-- play second sound (male) A
							PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Get_Over_Here2_Male.mp3","Master");
						elseif (GoH_DeathKnight.NumberRandom == 2) then
							-- play second sound (male) B
							PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Get_Over_Here_Male.mp3","Master");
						end
					else
						-- play second sound (female)
						PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Get_Over_Here_Female.mp3","Master");
					end
					if GoHv5_DeathKnight_Data.config.Emote == "YES" then
					
					SendChatMessage("GET OVER HERE", "EMOTE" );
					
					end
					
					if GoHv5_DeathKnight_Data.config.Say == "YES" then
					
					SendChatMessage("GET OVER HERE", "SAY" );
					
					end
					
					if GoHv5_DeathKnight_Data.config.Yell == "YES" then
					
					SendChatMessage("GET OVER HERE", "YELL" );
					
					end

		elseif (GoH_DeathKnight.NumberRandom == 3) then

			-- play third sound
  			if GoHv5_DeathKnight_Data.config.Include_Rude_Sounds == "YES" then
				PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Get_Over_Here_Bitch_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
			
			end
			if GoHv5_DeathKnight_Data.config.Emote == "YES" then
			
			SendChatMessage("GET OVER HERE", "EMOTE" );
			
			end
			
			if GoHv5_DeathKnight_Data.config.Say == "YES" then
					
					SendChatMessage("GET OVER HERE", "SAY" );
					
					end
					
			if GoHv5_DeathKnight_Data.config.Yell == "YES" then
					
					SendChatMessage("GET OVER HERE", "YELL" );
					
					end		

		elseif (GoH_DeathKnight.NumberRandom == 4) then

			-- play forth sound
  			if GoHv5_DeathKnight_Data.config.Include_Rude_Sounds == "YES" then
				PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Get_The_Fuck_Over_Here_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
			
			end
			if GoHv5_DeathKnight_Data.config.Emote == "YES" then
			
			SendChatMessage("GET OVER HERE", "EMOTE" );
			
			end
			if GoHv5_DeathKnight_Data.config.Say == "YES" then
			
			SendChatMessage("GET OVER HERE", "SAY" );
			
			end
			if GoHv5_DeathKnight_Data.config.Yell == "YES" then
			
			SendChatMessage("GET OVER HERE", "YELL" );
			
			end

		elseif (GoH_DeathKnight.NumberRandom == 5) then

			-- play fifth sound
  			if GoHv5_DeathKnight_Data.config.Include_Gotcha_Sound == "YES" then
				PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Gotcha_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
			
			end
			if GoHv5_DeathKnight_Data.config.Emote == "YES" then
			
			SendChatMessage("GOTCHA", "EMOTE" );
			
			end
			if GoHv5_DeathKnight_Data.config.Say == "YES" then
			
			SendChatMessage("GOTCHA", "SAY" );
			
			end
			if GoHv5_DeathKnight_Data.config.Yell == "YES" then
			
			SendChatMessage("GOTCHA", "YELL" );
			
			end
			
		elseif (GoH_DeathKnight.NumberRandom == 6) then

			-- play 6 sound
  			if GoHv5_DeathKnight_Data.config.Include_Headless_Horseman_Sound == "YES" then
				if (GoH_DeathKnight.Gender == "Female") then
						PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Get_Over_Here_You_Idiot_Female.mp3","Master");
				else
						PlaySoundFile("Sound\\Creature\\HeadlessHorseMan\\Horseman_Beckon_01.ogg","Master");
				end
				if GoHv5_DeathKnight_Data.config.Emote == "YES" then

				SendChatMessage("GET OVER HERE YOU IDIOT", "EMOTE" );
				
				end
				if GoHv5_DeathKnight_Data.config.Say == "YES" then

				SendChatMessage("GET OVER HERE YOU IDIOT", "SAY" );
				
				end
				if GoHv5_DeathKnight_Data.config.Yell == "YES" then

				SendChatMessage("GET OVER HERE YOU IDIOT", "YELL" );
				
				end
			end	

		end

end

function Play_Random_Interrupt()

     

    GoH_DeathKnight.NumberRandom = math.random(5);
	
	-- USE RANDOM MATH GENERATED RESULT
	if (GoH_DeathKnight.NumberRandom == 1) then

	
         PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Interrupt_1_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
		 
		 
    elseif (GoH_DeathKnight.NumberRandom == 2) then
	
	     PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Interrupt_2_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
		 
	elseif (GoH_DeathKnight.NumberRandom == 3) then
	
	     PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Interrupt_3_" .. GoH_DeathKnight.Gender .. ".mp3","Master");	 

	
	
	elseif (GoH_DeathKnight.NumberRandom == 4) then
	
	     PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Interrupt_4_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
		 
	elseif (GoH_DeathKnight.NumberRandom == 5) then
	
	     PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Interrupt_5_" .. GoH_DeathKnight.Gender .. ".mp3","Master");	 

	end
	
	if GoHv5_DeathKnight_Data.config.Use_Interrupted_Image == "YES" then
	 Show_Interrupted_Frame()
	 end
	 
	 if GoHv5_DeathKnight_Data.config.Interrupt_Emote == "YES" then

				SendChatMessage("INTERRUPTED", "EMOTE" );
				
				end
				if GoHv5_DeathKnight_Data.config.Interrupt_Say == "YES" then

				SendChatMessage("INTERRUPTED", "SAY" );
				
				end
				if GoHv5_DeathKnight_Data.config.Interrupt_Yell == "YES" then

				SendChatMessage("INTERRUPTED", "YELL" );
				
				end

end


